> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/templates/get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Get template info GET https://api.mailchimp.com/3.0/templates/{template_id} Get information about a specific template. Reference: https://mailchimp.com/developer/marketing/api/templates/get ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `template_id` (string, required) — The unique id for the template. ### Query parameters - `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. - `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. ## Response ### 200 - `_links` (list of TemplateInstanceLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `active` (boolean, optional) — User templates are not 'deleted,' but rather marked as 'inactive.' Returns whether the template is still active. - `category` (string, optional) — If available, the category the template is listed in. - `content_type` (enum, optional) — How the template's content is put together. - Allowed values: `template`, `multichannel`, `html` - `created_by` (string, optional) — The login name for template's creator. - `date_created` (datetime, optional) — The date and time the template was created in ISO 8601 format. - `date_edited` (datetime, optional) — The date and time the template was edited in ISO 8601 format. - `drag_and_drop` (boolean, optional) — Whether the template uses the drag and drop editor. - `edited_by` (string, optional) — The login name who last edited the template. - `folder_id` (string, optional) — The id of the folder the template is currently in. - `id` (integer, optional) — The individual id for the template. - `name` (string, optional) — The name of the template. - `responsive` (boolean, optional) — Whether the template contains media queries to make it responsive. - `share_url` (string, optional) — The URL used for [template sharing](https://mailchimp.com/help/share-a-template/). - `thumbnail` (string, optional) — If available, the URL for a thumbnail of the template. - `type` (string, optional) — The type of template (user, base, or gallery). ## Types ### TemplateInstanceLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ## Examples **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "active": true, "category": "string", "content_type": "template", "created_by": "string", "date_created": "2024-01-15T09:30:00Z", "date_edited": "2024-01-15T09:30:00Z", "drag_and_drop": true, "edited_by": "string", "folder_id": "string", "id": 1, "name": "string", "responsive": true, "share_url": "string", "thumbnail": "string", "type": "string" } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/templates/template_id" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/templates/template_id'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/templates/template_id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/templates/template_id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mailchimp.com/3.0/templates/template_id") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.mailchimp.com/3.0/templates/template_id', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/templates/template_id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/templates/template_id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.